package org.opengroup.osdu.notification.provider.azure.di;

import lombok.Data;
import org.opengroup.osdu.core.common.notification.SubscriptionAPIConfig;
import org.opengroup.osdu.notification.provider.interfaces.IAppProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.config.AbstractFactoryBean;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties
public class SubscriptionAPIConfigBean extends AbstractFactoryBean<SubscriptionAPIConfig> {

    @Autowired
    private IAppProperties config;

    private String apiKey;

    @Override
    public Class<?> getObjectType() {
        return SubscriptionAPIConfig.class;
    }

    @Override
    protected SubscriptionAPIConfig createInstance() throws Exception {
        return SubscriptionAPIConfig
                .builder()
                .rootUrl(config.getRegisterAPI())
                .apiKey(apiKey)
                .build();
    }
}
