// Copyright © 2020 Amazon Web Services
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.opengroup.osdu.notification.util;


import org.apache.commons.lang3.StringUtils;

public class AwsTestUtils extends TestUtils{



    AwsCognitoClient client = new AwsCognitoClient();

      @Override
    public String getOpsToken() throws Exception {
        if (opsToken==null || StringUtils.isEmpty(opsToken) ) {
            opsToken= client.getToken(AwsConfig.getAWSCognitoUser(),AwsConfig.getAWSCognitoPassword(),"bearer");
        }
        return  opsToken;
    }


    //These users don't have access to the API, so getting the token for NoAccessUser
    @Override
    public String getAdminToken() throws Exception {
        if (adminToken==null || StringUtils.isEmpty(adminToken)) {
            adminToken=client.getToken(AwsConfig.getAWSCognitoNoAccessUser(),AwsConfig.getAWSCognitoPassword(),"bearer");
        }
        return adminToken;
    }
    //These users don't have access to the API, so getting the token for NoAccessUser
    @Override
    public String getEditorToken() throws Exception {
        if (editorToken==null || StringUtils.isEmpty(editorToken)) {
            editorToken=client.getToken(AwsConfig.getAWSCognitoNoAccessUser(),AwsConfig.getAWSCognitoPassword(),"bearer");
        }
        return editorToken;
    }
    //These users don't have access to the API, so getting the token for NoAccessUser
    @Override
    public String getNoAccessToken() throws Exception {
        if (noAccessToken==null || StringUtils.isEmpty(noAccessToken)) {
            noAccessToken=client.getToken(AwsConfig.getAWSCognitoNoAccessUser(),AwsConfig.getAWSCognitoPassword(),"bearer");
        }
        return  noAccessToken;
    }
}
